Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel.exps
Class CompareExpression

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.exps.CompareExpression

All Implemented Interfaces:
  Serializable, Exp, Expression

     class CompareExpression

extends Object
implements Exp

Compares two values.

Author:
  Abe White

Field Summary
`static String` | `GREATER`
`static String` | `GREATER_EQUAL`
`static String` | `LESS`
`static String` | `LESS_EQUAL`

Constructor Summary
`CompareExpression(Val val1, Val val2, String op)` Constructor.

Method Summary
`void` | `acceptVisit(ExpressionVisitor visitor)` Accept a visit from a tree visitor.
`void` | `appendTo(Select sel, ExpContext ctx, ExpState state, SQLBuffer buf)` Append the SQL for this expression to the given buffer.
`ExpState` | `initialize(Select sel, ExpContext ctx, Map contains)` Initialize the expression.
`void` | `selectColumns(Select sel, ExpContext ctx, ExpState state, boolean pks)` Select just the columns for this expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LESS

    public static final String LESS

See Also:
  Constant Field Values

### GREATER

    public static final String GREATER

See Also:
  Constant Field Values

### LESS_EQUAL

    public static final String LESS_EQUAL

See Also:
  Constant Field Values

### GREATER_EQUAL

    public static final String GREATER_EQUAL

See Also:
  Constant Field Values

Constructor Detail

### CompareExpression

    public CompareExpression(Val val1,
                             Val val2,
                             String op)

  Constructor. Supply values and operator.

Method Detail

### initialize

    public ExpState initialize(Select sel,
                               ExpContext ctx,
                               Map contains)

  Description copied from interface: `Exp`
  Initialize the expression. This method should recursively initialize any sub-expressions or values.

  Specified by:
    `initialize` in interface `Exp`
    `contains` - map of relation paths to the number of times the paths appear in a contains() expression; used to ensure paths used for contains() within the same AND expression used different aliases

### appendTo

    public void appendTo(Select sel,
                         ExpContext ctx,
                         ExpState state,
                         SQLBuffer buf)

  Description copied from interface: `Exp`
  Append the SQL for this expression to the given buffer. The SQL should optionally include any joins this expression needs.

  Specified by:
    `appendTo` in interface `Exp`

### selectColumns

    public void selectColumns(Select sel,
                              ExpContext ctx,
                              ExpState state,
                              boolean pks)

  Description copied from interface: `Exp`
  Select just the columns for this expression.

  Specified by:
    `selectColumns` in interface `Exp`

### acceptVisit

    public void acceptVisit(ExpressionVisitor visitor)

  Description copied from interface: `Expression`
  Accept a visit from a tree visitor.

  Specified by:
    `acceptVisit` in interface `Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.